#pragma once
#include <string>
#include <cstdint>
#include <boost/noncopyable.hpp>

class skype : boost::noncopyable
{
public:
	static const std::wstring module_name;
	static const std::wstring main_menu_text;
	static const std::wstring settings_menu_text;
	static const std::wstring about_menu_text;

	static const std::wstring settings_file_name;
	static const std::wstring plugin_name;

	static const uint16_t about_menu_id = 10501;
	static const uint16_t settings_menu_id = 10500;
	static const uint32_t subclass_id = 123;

	static const uint32_t default_min_frame_time = 70;
	static const uint32_t default_connection_timeout = 30;
	static const uint32_t default_read_timeout = 30;
	static const uint32_t default_max_data_size = 20 * 1024 * 1024; //20 MB
	static const uint32_t default_max_image_x_y_size = 400;
	static const uint32_t default_max_gif_x_y_size = 400;
	static const uint32_t default_max_title_length = 125;
	static const uint32_t default_max_redirects = 7;

	static const std::string default_encoding;
	static const std::string default_user_agent;
	
private:
	skype();
};
