#pragma once
#include <stdexcept>
#include <string>

class sp_exception : public std::runtime_error
{
public:
	enum sp_error_code
	{
		internal_error,
		unable_to_load_content,
		unable_to_load_content_not_ready,
		content_not_supported,
		unable_to_set_property
	};

public:
	sp_exception(sp_error_code code, const std::wstring& error);

	sp_error_code get_code() const;
	const std::wstring& get_error() const;

private:
	std::wstring error_;
	sp_error_code code_;
};
